// import ElementPlus from 'element-plus' //添加
// import 'element-plus/dist/index.css'   //添加
// import zhCn from 'element-plus/dist/locale/zh-cn.mjs'


import App from './App'
import appPush from '@/js_sdk/levine-APPPush/levine-APPPush/plugins/APPPush/index.js'
import Print from 'vue3-print-nb'


// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif


// 封装弹框的方法
uni.$showMsg = (title = '数据请求失败！', duration = 1500) => {
	uni.showToast({
		title,
		duration,
		icon: 'none'
	})
}
uni.$appPush = appPush


// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
	app.use(Print)
	// app.use(ElementPlus, {
	// 	locale: zhCn,
	// })
	// app.use(qs)
  return {
    app
  }
}
// #endif